ENT.Type = "anim"
ENT.Base = "base_anim"
ENT.PrintName = "Double Or Nothing"
ENT.Spawnable = true
ENT.Category = "Mapobjekte"
ENT.Model = Model("models/bluesdoubleornothing/slots_1.mdl")

ENT.WheelSides = 8

function ENT:SetupDataTables()
	--Stores the current user name of the machine.
	--Will be "No One" if one one is using it.
	self:NetworkVar("String", 0, "UserName")
	self:NetworkVar("Float", 0, "UserLastInteract")
	self:NetworkVar("Bool", 0, "GameStarted")
	self:NetworkVar("Int", 0, "Multiplier")
	self:NetworkVar("Int", 1, "CashOutAmount")
	self:NetworkVar("Int", 2, "Jackpot")
end

function ENT:PhysgunPickup(ply)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end

function ENT:CanTool(ply, trace, mode)
	return !GetConVar("mg_movemode") or GetConVar("mg_movemode"):GetInt() > 1 and ply:IsAdmin() or GetConVar("mg_movemode") and GetConVar("mg_movemode"):GetInt() > 0 and ply:IsSuperAdmin()
end